"use strict";
/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 19:33:21

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
exports.__esModule = true;
var tslib_1 = require("tslib");
var LarkResponse_1 = require("./LarkResponse");
var Controller = /** @class */ (function () {
    function Controller() {
        this.hostname = null;
        this.uri = null;
    }
    Controller.prototype.post = function (body, cookie) {
        if (cookie === void 0) { cookie = null; }
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, new LarkResponse_1.LarkResponse({ ok: true })];
            });
        });
    };
    Controller.prototype.get = function (req, cookie) {
        if (cookie === void 0) { cookie = null; }
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, new LarkResponse_1.LarkResponse({ ok: true })];
            });
        });
    };
    return Controller;
}());
exports.Controller = Controller;
