"use strict";
/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 19:34:47

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
exports.__esModule = true;
var tslib_1 = require("tslib");
var HTTP_STATUS_1 = require("../../Http/HTTP_STATUS");
var LarkResponse_1 = require("../LarkResponse");
var LarkBSONResponse = /** @class */ (function (_super) {
    tslib_1.__extends(LarkBSONResponse, _super);
    function LarkBSONResponse(data, headers) {
        if (headers === void 0) { headers = null; }
        return _super.call(this, data, HTTP_STATUS_1.HTTP_STATUS.OK, headers, ".bson") || this;
    }
    return LarkBSONResponse;
}(LarkResponse_1.LarkResponse));
exports.LarkBSONResponse = LarkBSONResponse;
