"use strict";
/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:18:12

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
exports.__esModule = true;
var LarkMath = /** @class */ (function () {
    function LarkMath() {
    }
    /**
     * 产生一个区间的随机数
     * @param min
     * @param max
     */
    LarkMath.random = function (min, max) {
        return Math.floor(Math.random() * (max - min) + min);
    };
    LarkMath.getPercent = function (value, max) {
        if (isNaN(max) || isNaN(value)) {
            return "";
        }
        return ((value / max) * 100).toFixed(2) + "%";
    };
    return LarkMath;
}());
exports.LarkMath = LarkMath;
