"use strict";
/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 19:34:32

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
exports.__esModule = true;
var tslib_1 = require("tslib");
var HTTP_STATUS_1 = require("../../Http/HTTP_STATUS");
var PageController_1 = require("./PageController");
var NotFoundController = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundController, _super);
    function NotFoundController() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.uri = null;
        return _this;
    }
    NotFoundController.prototype.get = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var larkResponse;
            return tslib_1.__generator(this, function (_a) {
                larkResponse = this.render(require("./NotFoundController/NotFoundController.ejs"), {}, false);
                larkResponse.status = HTTP_STATUS_1.HTTP_STATUS.NOT_FOUND;
                return [2 /*return*/, larkResponse];
            });
        });
    };
    return NotFoundController;
}(PageController_1.PageController));
exports.NotFoundController = NotFoundController;
